org.appng.xml.platform

## Class Digits

- java.lang.Object
- - org.appng.xml.BaseObject
  - - org.appng.xml.platform.ValidationRule
    - - org.appng.xml.platform.Digits

- All Implemented Interfaces:
    Serializable

      public class Digits
      extends ValidationRule
      implements Serializable

  A `ValidationRule` indicating the `FieldDef`'s value is a digit with a maximum of `getInteger()` integral digits and `getFraction()` fraction digits.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Integer` | `fraction`
    `protected Integer` | `integer`

    - ### Fields inherited from class org.appng.xml.platform.ValidationRule

      `message`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Digits()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Integer` | `getFraction()` The maximum number of fraction digits.
    `Integer` | `getInteger()` The maximum number of integral digits.
    `void` | `setFraction(Integer value)` Sets the value of the fraction property.
    `void` | `setInteger(Integer value)` Sets the value of the integer property.

    - ### Methods inherited from class org.appng.xml.platform.ValidationRule

      `getMessage, setMessage`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### integer

          protected Integer integer

    - #### fraction

          protected Integer fraction

  - ### Constructor Detail

    - #### Digits

          public Digits()

  - ### Method Detail

    - #### getInteger

          public Integer getInteger()

      The maximum number of integral digits.
      Returns:
        possible object is `Integer`

    - #### setInteger

          public void setInteger(Integer value)

      Sets the value of the integer property.
      Parameters:
        `value` - allowed object is `Integer`

    - #### getFraction

          public Integer getFraction()

      The maximum number of fraction digits.
      Returns:
        possible object is `Integer`

    - #### setFraction

          public void setFraction(Integer value)

      Sets the value of the fraction property.
      Parameters:
        `value` - allowed object is `Integer`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.